dodoc: adjust to "git add ." complaints.
[git.git] / dodoc.sh
index 8202a60..15926f3 100755 (executable)
--- a/dodoc.sh
+++ b/dodoc.sh
@@ -36,6 +36,7 @@ test "$DOCREPO" != "" &&
 cd "$DOCREPO" || exit $?
 
 git pull "$MASTERREPO" master &&
+git fetch --tags "$MASTERREPO" || exit $?
 test $(git-rev-parse --verify refs/heads/master) == "$ID" &&
 NID=$(git-describe --abbrev=4 "$ID") &&
 test '' != "$NID" ||  exit $?
@@ -77,7 +78,7 @@ else
 fi || exit $?
 
 cd ../doc-htmlpages &&
-    git add . &&
+    (git add . || echo no new files -- not a big deal) &&
     if git commit -a -m "Autogenerated HTML docs for $NID"
     then
        git-send-pack "$MASTERREPO" master:refs/heads/html || {
@@ -93,7 +94,7 @@ make man1="$DOCREPO/doc-manpages/man1" man7="$DOCREPO/doc-manpages/man7" \
        install >../:man.log 2>&1 &&
 
 cd ../doc-manpages &&
-    git add . &&
+    (git add . || echo no new files -- not a big deal) &&
     if git commit -a -m "Autogenerated man pages for $NID"
     then
        git-send-pack "$MASTERREPO" master:refs/heads/man || {